## org.eclipse.emf.ecoretools.diagram.edit.policies
Class EClassESuperTypesItemSemanticEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.SemanticEditPolicy
              org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreBaseItemSemanticEditPolicy
                  org.eclipse.emf.ecoretools.diagram.edit.policies.EClassESuperTypesItemSemanticEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class EClassESuperTypesItemSemanticEditPolicy

extends EcoreBaseItemSemanticEditPolicy

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreBaseItemSemanticEditPolicy
`EcoreBaseItemSemanticEditPolicy.LinkConstraints`

Field Summary

Fields inherited from class org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreBaseItemSemanticEditPolicy
`VISUAL_ID_KEY`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EClassESuperTypesItemSemanticEditPolicy()`

Method Summary
`protected org.eclipse.gef.commands.Command` `getDestroyReferenceCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyReferenceRequest req)`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreBaseItemSemanticEditPolicy

`addDestroyShortcutsCommand, getCommand, getConfigureCommand, getCreateCommand, getCreateRelationshipCommand, getDestroyEdgesCommand, getDestroyElementCommand, getDestroyElementCommand, getDuplicateCommand, getEditContextCommand, getEditingDomain, getGEFWrapper, getMoveCommand, getMSLWrapper, getReorientReferenceRelationshipCommand, getReorientRelationshipCommand, getSemanticCommand, getSemanticCommandSwitch, getSemanticElement, getSetCommand, getVisualID`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.SemanticEditPolicy
`completeRequest, getReorientRefRelationshipSourceCommand, getReorientRefRelationshipTargetCommand, getReorientRelationshipSourceCommand, getReorientRelationshipTargetCommand, getTargetEditPart, shouldProceed, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EClassESuperTypesItemSemanticEditPolicy

    public EClassESuperTypesItemSemanticEditPolicy()

Method Detail

### getDestroyReferenceCommand

    protected org.eclipse.gef.commands.Command getDestroyReferenceCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyReferenceRequest req)

  Overrides:
    `getDestroyReferenceCommand` in class `EcoreBaseItemSemanticEditPolicy`

Copyright 2007 Anyware Technologies. All Rights Reserved.